Set solar share
POST
/loadpoints/{id}/solarshare/{share}
const url = 'https://demo.evcc.io/api/loadpoints/1/solarshare/0.5';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.evcc.io/api/loadpoints/1/solarshare/0.5Set the share of the minimum charging power that must come from solar surplus in smart mode. 1 (default) requires full surplus, 0 starts charging as soon as there is no grid import. Ignored while enable/disable thresholds are configured. Usually 0 to 1; values outside that range are possible for special cases.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
Loadpoint index starting at 1.
integer
Example
1Loadpoint index starting at 1
share
required
number
Solar share of the minimum charging power.
Example
0.5Responses
Section titled “ Responses ”Success - Number result
Media typeapplication/json
number
Examplegenerated
1